﻿//str2num -- Convert an alphanumeric string to
//           a direct numeric value
//
//This function takes 2 parameters:
//
//     str2num_BL  -- is the numeric base we want to convert from;
//                    i.e., 10 for decimal, 2 for binary, 16 for hexadecimal
//
//     str2num_ESI -- a copy of the alphanumeric string we want to convert;
//                    i.e., "10101101", "3f8", "2D9", "347"
//
//
//It has been tested with x86, ASCII-based systems and it
//relies on ASCII-compatible A-Z, a-z and 0-9 character ranges.
///
 function str2num(str2num_BL,str2num_ESI)
 {
   str2num_EAX=0;
   str2num_BH="";
   str2num_ECX=0;
    str2num_CL=0;
   str2num_EDX=0;

   str2num_pESI=0;

   while(str2num_pESI<str2num_ESI.length)
   {
      str2num_BH=str2num_ESI.charAt(str2num_pESI);
      str2num_pESI++;


      if(str2num_BH >= '0' && str2num_BH <= '9')
      {
         str2num_BH/=1;
      }

      else if(str2num_BH >= 'a' && str2num_BH <= 'z')
      {
         str2num_BH=str2num_BH.charCodeAt(0)-(0x61-10);
      }

      else if(str2num_BH >= 'A' && str2num_BH <= 'Z')
      {
         str2num_BH=str2num_BH.charCodeAt(0)-(0x41-10);
      }

     //str2num_CL   = str2num_BL;
     str2num_ECX  = str2num_BL;
     str2num_EAX *= str2num_ECX;
     str2num_EDX  = str2num_BH;
     str2num_EAX += str2num_EDX;
   }

  return str2num_EAX;
 }
